Bug 830282 - repo create --help for --note
repo create --help for --note
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: documentation (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 14:08 EDT by Preethi Thomas
Modified: 2013-01-09 12:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:04:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-06-08 14:08:38 EDT
Description of problem:
help for --noe for repo create says " multiple notes can be changed by   specifying this option multiple times;" but better to say added instead of changed

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

  --note         - adds/updates/deletes key-value pairs to programmtically
                   identify the repository; pairs must be separated by an equal
                   sign (e.g. key=value); multiple notes can be changed by
                   specifying this option multiple times; notes are deleted by
                   specifying "" as the value

Expected results:


Additional info:
Comment 1 Jay Dobies 2012-06-14 16:30:09 EDT
commit e73cd9260c2ea89b490dca307747268b7fb7ebc5
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Thu Jun 14 08:21:24 2012 -0400

    Restructured pulp-consumer commands and fixed broken unregister

builtins/extensions/consumer/pulp_consumer/pulp_cli.py
platform/etc/pulp/consumer/consumer.conf
platform/src/pulp/client/arg_utils.py
platform/src/pulp/client/consumer_utils.py
platform/src/pulp/common/capabilities.py
platform/test/unit/test_capabilities.py
rpm-support/extensions/admin/rpm_repo/pulp_cli.py
Comment 2 Jay Dobies 2012-06-14 16:30:45 EDT
BTW, yes, that commit info is accurate. I snuck it in while fixing a bunch of consumer stuff when I noticed the same --note help inconsistency there too.
Comment 3 Jay Dobies 2012-06-29 15:06:36 EDT
In release 0.309
Comment 4 Preethi Thomas 2012-07-26 11:37:08 EDT
verified in pulp-admin repo and and pulp-consumer
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.318-1.el6.noarch
Comment 5 Preethi Thomas 2013-01-09 12:04:27 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.